##数据字典表

# 字典类型

DROP TABLE IF EXISTS `dic_dt_type`;

CREATE TABLE dic_dt_type (
    id varchar(20) NOT NULL PRIMARY KEY,
    group_code varchar(20) NULL COMMENT '集团编码',
    type varchar(40) NOT NULL COMMENT '字典类型',
    name varchar(40) NOT NULL COMMENT '字典类型名称',
    description varchar(200) NULL COMMENT '描述',
    status int NOT NULL COMMENT '状态',
    create_time timestamp NULL COMMENT '创建时间',
    create_user varchar(40) NULL COMMENT '创建用户',
    update_time timestamp NULL COMMENT '更新时间',
    update_user varchar(40) NULL COMMENT '更新用户',
    remark varchar(200) NULL COMMENT '备注'
) COMMENT '字典类型';

# 字典数据

DROP TABLE IF EXISTS `dic_dt_data`;

CREATE TABLE dic_dt_data (
    id varchar(20) NOT NULL PRIMARY KEY,
    dict_type_id varchar(20) NOT NULL COMMENT '字典类型ID',
    parent_id varchar(20) NULL COMMENT '父节点',
    type varchar(40) NOT NULL COMMENT '字典类型',
    code varchar(40) NOT NULL COMMENT '字典数据编码',
    label varchar(40) NOT NULL COMMENT '字典数据标签',
    status int NOT NULL COMMENT '状态',
    create_time timestamp NULL COMMENT '创建时间',
    create_user varchar(40) NULL COMMENT '创建用户',
    update_time timestamp NULL COMMENT '更新时间',
    update_user varchar(40) NULL COMMENT '更新用户',
    remark varchar(200) NULL
) COMMENT '字典数据';

# 字典数据映射

DROP TABLE IF EXISTS `dic_dt_data_map`;

CREATE TABLE dic_dt_data_map (
    id varchar(20) NOT NULL PRIMARY KEY,
    dict_data_id varchar(20) NOT NULL COMMENT '字典数据ID',
    type varchar(40) NOT NULL COMMENT '字典类型',
    group_code varchar(20) NOT NULL COMMENT '集团编码',
    target_code varchar(20) NOT NULL COMMENT '映射字典数据表code',
    label varchar(40) NOT NULL COMMENT '字典数据标签',
    code varchar(40) NOT NULL COMMENT '字典数据编码',
    status int NOT NULL COMMENT '状态',
    create_time timestamp NULL COMMENT '创建时间',
    create_user varchar(40) NULL COMMENT '创建用户',
    update_time timestamp NULL COMMENT '更新时间',
    update_user varchar(40) NULL COMMENT '更新用户',
    remark varchar(200) NULL COMMENT '备注'
) COMMENT '字典数据映射';

# 知识库类型

DROP TABLE IF EXISTS `dic_kl_type`;

CREATE TABLE dic_kl_type (
    id varchar(20) NOT NULL PRIMARY KEY,
    code varchar(40) NOT NULL COMMENT '知识库编码',
    name varchar(40) NOT NULL COMMENT '知识库名称',
    description varchar(500) NULL COMMENT '描述',
    status int NOT NULL COMMENT '状态',
    create_time timestamp NULL COMMENT '创建时间',
    create_user varchar(40) NULL COMMENT '创建用户',
    update_time timestamp NULL COMMENT '更新时间',
    update_user varchar(40) NULL COMMENT '更新用户',
    remark varchar(200) NULL COMMENT '备注'
) COMMENT '知识库类型';

# 知识库数据

DROP TABLE IF EXISTS `dic_kl_data`;

CREATE TABLE dic_kl_data (
    id varchar(20) NOT NULL PRIMARY KEY,
    kl_type_code varchar(20) NOT NULL COMMENT '知识库类型编码',
    kl_type_name varchar(40) NOT NULL COMMENT '知识库类型名称',
    parent_id varchar(20) NULL COMMENT '父节点',
    code varchar(40) NOT NULL COMMENT '知识库数据编码',
    label varchar(40) NOT NULL COMMENT '知识库数据标签',
    value varchar(500) NULL COMMENT '知识库数据内容',
    status int NOT NULL COMMENT '状态',
    create_time timestamp NULL COMMENT '创建时间',
    create_user varchar(40) NULL COMMENT '创建用户',
    update_time timestamp NULL COMMENT '更新时间',
    update_user varchar(40) NULL COMMENT '更新用户',
    remark varchar(200) NULL COMMENT '备注'
) COMMENT '知识库数据';